Skip to navigation

Check status of electronic signature task

View as Markdown

The ID is returned by the documentmergetasks POST method.

Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.

Authentication

AuthorizationBearer

Docusign OAuth 2.0 access token, sent as Authorization: Bearer <token>.

Path parameters

taskidstringRequiredformat: "uuid"
ID of SignatureTask.
accountIdstringRequiredformat: "uuid"
The ID of the Docusign account.

Response

OK
EmailSubjectstringOptional
The message to accompany the document when it is sent for signature
EmailMessagestringOptional
The message to accompany the document when it is sent for signature
ToEmailslist of stringsOptional
List of email addresses to whom the document will be sent and asked to sign
CcEmailslist of stringsOptional

Additional non-signer email addresses to include on the email

SignaturesOrderedbooleanOptional
If true, signatures will be required to occur in the order in which they are listed
ExpirationDatedatetimeOptional
When signatures will no longer be accepted
SignerPasswordstringOptional
A password which signers must provide to access the document for signature
InPersonSigningbooleanOptional
If true, signing is done in person on same device, vendor must support this functionality
WrittenRequiredbooleanOptional
If true, an eSignature will not be accepted, vendor must support this functionality
MessagestringOptional
If the task is not complete, an error message will be provided
StatusstringOptional
Current status of the asynchronous task
HrefstringOptional
Uri where the object can be retrieved.
DocumentobjectOptional
A document for which signatures are desired